# studio::Widget_Preview Class Reference

`#include <preview.h>`

List of all members.

## Public Member Functions

| Widget_Preview ()
| ~Widget_Preview ()
void | set_preview (etl::handle< Preview > prev)
void | set_audioprofile (etl::handle< AudioProfile > p)
void | set_audio (etl::handle< AudioContainer > a)
void | clear ()
void | play ()
void | stop ()
void | seek (float t)
void | stoprender ()
sigc::signal< void, float > & | signal_play ()
sigc::signal< void > & | signal_stop ()
sigc::signal< void, float > & | signal_seek ()
bool | get_loop_flag () const
void | set_loop_flag (bool b)

## Constructor & Destructor Documentation

Widget_Preview::Widget_Preview | ( |  | ) |

References _, IMAGIFY_BUTTON, play(), studio::Widget_Timeslider::set_time_adjustment(), studio::Widget_Sound::signal_scrub(), studio::Widget_Sound::signal_start_scrubbing(), stop(), and stoprender().

studio::Widget_Preview::~Widget_Preview | ( |  | ) |

## Member Function Documentation

void studio::Widget_Preview::set_preview | ( | etl::handle< Preview > | prev | ) |

References stop().

Referenced by studio::Dialog_Preview::set_preview().

void studio::Widget_Preview::set_audioprofile | ( | etl::handle< AudioProfile > | p | ) |

References studio::Widget_Sound::set_profile().

void studio::Widget_Preview::set_audio | ( | etl::handle< AudioContainer > | a | ) |

References studio::AudioContainer::scrub(), studio::Widget_Sound::signal_scrub(), studio::Widget_Sound::signal_start_scrubbing(), studio::Widget_Sound::signal_stop_scrubbing(), studio::AudioContainer::start_scrubbing(), and studio::AudioContainer::stop_scrubbing().

void studio::Widget_Preview::clear | ( |  | ) |

void studio::Widget_Preview::play | ( |  | ) |

Referenced by Widget_Preview().

void studio::Widget_Preview::stop | ( |  | ) |

Referenced by studio::Dialog_Preview::on_hide(), seek(), set_preview(), and Widget_Preview().

void studio::Widget_Preview::seek | ( | float | t | ) |

References stop().

void studio::Widget_Preview::stoprender | ( |  | ) |

Referenced by studio::Dialog_Preview::on_hide(), and Widget_Preview().

sigc::signal<void,float>& studio::Widget_Preview::signal_play | ( |  | ) | `[inline]`

sigc::signal<void>& studio::Widget_Preview::signal_stop | ( |  | ) | `[inline]`

sigc::signal<void,float>& studio::Widget_Preview::signal_seek | ( |  | ) | `[inline]`

bool studio::Widget_Preview::get_loop_flag | ( |  | ) | const`[inline]`

void studio::Widget_Preview::set_loop_flag | ( | bool | b | ) | `[inline]`

The documentation for this class was generated from the following files:

- preview.h
- preview.cpp